MYSQL5.5降低版本至5.1出现utf8mb4不兼容的解决办法

MYSQL5.5对于内存低于2G的云主机会时常自动结束,导致站点经常因数据库无法访问。

我最近就遇到了这个问题,于是我就开始折腾。对MYSQL5.5降低版本至5.1。

问题自然出现了

因为MYSQL5.5支持utf8mb4,而MYSQL5.1并不支持“utf8mb4”。

[demo]出现的错误代码为:#1115-unknown character set:‘utf8mb4’[/demo]

所以导入数据的时候会出现utf8mb4不兼容的情况。

这时我们只需下载Notepad++,打开sql结尾的数据库。替换“utf8mb4”为“utf8”即可

替换完成再导入数据看看吧!

亦行
  • 版权声明: 发表于 2018-07-1401:20:57,共 278 字。
  • 转载注明:https://www.nanzl.com/archives/314

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen:

目前评论:9   其中:访客  9   博主  0

    • gitbui gitbui 回复 1

      谢谢博主,百度了好久。才找到这个方法解决这个问题。

      • 胖次脸大大 胖次脸大大 回复 1

        用宝塔安装的时候mysql安装错版本了,更换版本就出现这个问题。这个方法很实用。

        • yifu yifu 回复 1

          好多办法都没法解决,还是这个实用

            • 亦行 亦行 回复 3

              @yifu 我也是查了好多百度………….

            • mbg mbg 回复 2

              一招解决 :wink:

              • 君柯 君柯 回复 0

                博主,我替换了,可以导入,但是乱码,怎么解决啊,求告知一下。

                • 小咸 小咸 回复 0

                  解决了